Package org.eclipse.ui

## Interface IWorkbenchWizard

All Superinterfaces:
  `IWizard`

All Known Subinterfaces:
  `IExportWizard`, `IImportWizard`, `INewWizard`

All Known Implementing Classes:
  `BasicNewFileResourceWizard`, `BasicNewFolderResourceWizard`, `BasicNewProjectResourceWizard`, `BasicNewResourceWizard`, `ExternalProjectImportWizard`, `FileSystemExportWizard`, `FileSystemImportWizard`, `ZipFileExportWizard`, `ZipFileImportWizard`

    public interface IWorkbenchWizard
    extends IWizard

Implementors represent creation wizards that are to be contributed to the workbench's creation wizard extension point.

See Also:
  `IWizard`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `init​(IWorkbench workbench, IStructuredSelection selection)` Initializes this creation wizard using the passed workbench and object selection.

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

### Method Detail

#### init

    void init​(IWorkbench workbench,
              IStructuredSelection selection)

Initializes this creation wizard using the passed workbench and object selection.

This method is called after the no argument constructor and before other methods are called.

Parameters:
  `workbench` - the current workbench
  `selection` - the current object selection